<!DOCTYPE html>
<html>
<head>
	<title>CSS Introduction Activity</title>
	<link rel="stylesheet" href="./index.css">
</head>
<body>
	<style>
		
		p.internal{
			color: orange;
		}

		h1{
			font-size: 40px;
		}

		#h2{
			text-transform: uppercase;
		}

		.bgcolor {
			background-color: #86bf8f;
		}

		[type="text"]{
			border: 1px solid gray;
		}
		.descendant p img{
  			border-radius: 50%;
		}

		#adjacent + p{
			text-transform: uppercase;
		}
		.child > ul{
			letter-spacing: 10px;
			list-style: none
		}

		.generic ~ p{
			text-align: center;
		}
	</style>
	<div class="container">
		<div class="sub_container">
			<p style="color: red;">Apply inline styling here.</p>
			<p class="internal">Apply internal styling here.</p>
			<p class="external">Apply external styling here.</p>
			<br>
			<h1>CSS Introdution Activity</h1>
			<h2 id="h2">The following are things you will learn in this bootcamp:</h2>
			<p><strong>Languages to be learned</strong></p>
			<ol>
				<li class="bgcolor">Hypertext Markup Language</li>
				<li class="bgcolor">Cascading Style Sheet</li>
				<li class="bgcolor">Javascript</li>
			</ol>
		</div>
		<!-- End of sub_container -->
		<br>
		<br>
		<div class="sub_container1">
			<p><strong>Tools to be Used</strong></p>
			<br>
			<div>
				<ol>
					<li type="text">Sublime Text</li>
					<li type="text">Postman</li>
					<li type="text">Heroku</li>
						<li type="text">Gitlab</li>
				</ol>
			</div>
			<br>
			<br>
			<div id="adjacent"></div>
			<p><strong>Other Things to be Learned</strong></p>
			<div class="descendant">
				<p>
					<img src="https://upload.wikimedia.org/wikipedia/commons/6/6a/JavaScript-logo.png" alt="Avatar" style="width:200px">
				</p>
			</div>
			<div class="child">
				<ul>
					<li>Node.js</li>
					<li>Express.js</li>
					<li>React.js</li>
					<li>MongoDB</li>
				</ul>
			</div>
			<div class="generic"></div>
			<p>Web development is a continuos process. Never stop learning and always look for ways to innovate. </p>
		</div>
		<!-- End of sub_container1 -->
	</div>
	<!-- End on main container -->


</body>
</html>
